Get account settings export results
Returns the results for a single account settings export request.
Given an export ID, this method returns the results of an account settings export request.
To get a list of all the export requests, use getAccountSettingsExports.
The results are available through a URL that
you can access through the results property of the response.
For example, to get the URL of first result you might use
results[0].url
The settings export is formatted like this:
Required authentication scopes: account_read.
Authentication
Path parameters
Response
The type of export requested. One of:
organization_domain_users_export: All users of the reserved domains.organization_external_memberships_export: Users whose email address domain is not linked to the organization.organization_memberships_export: Every user in every account in the organization. Users in multiple accounts will appear more than once.organization_account_settings_export: This value only applies to requests to export account settings.
The time and date the request was created. This is a date in ISO 8601 format.
Example: 2019-03-26T19:02:09.8957715Z
The time and date when the request was modified. This is typically the same as created.
The status of the request. One of:
failedin_processqueuedcompleted
A pre-configured GET request to get the status of the export. Generally this is the same URI used to access this endpoint.
An integer between 0 to 100 (inclusive) that reports the progress of the request.
When true, the request succeeded.